Firewall

Create Firewall Group

post/firewall/groups

Create a new firewall group in a project.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Query parameters

project_id*integer

Request body

Create a new firewall group

application/jsonRequired
name*string
rules*array<FirewallRuleSchema>
Properties (5)
direction*string
Value in"in""out"
protocol*string
Value in"tcp""udp""icmp""gre"
port?string | null
source?string | null
comment?string | null
enabled?boolean
Defaulttrue

Responses

Successful Response

application/json

id*integer
project_id*integer
name*string
rules*array<FirewallRuleSchema>
Properties (5)
direction*string
Value in"in""out"
protocol*string
Value in"tcp""udp""icmp""gre"
port?string | null
source?string | null
comment?string | null
enabled*boolean
vps_count?integer
Default0
baremetal_count?integer
Default0